enum ApiRoute {
    CLIENTS_CONFIG                      = '/clients_config',
    LOGIN                               = '/login',
    REFRESH_TOKENS                      = '/refresh_tokens',
    TEST_SESSION                        = '/test_session',
    GITLAB_CHECK_TEMPLATE_ACCESS        = '/gitlab/project/{{gitlabProjectId}}/checkTemplateAccess',
    ASSIGNMENT_GET                      = '/assignments/{{assignmentNameOrUrl}}',
    ASSIGNMENT_CREATE                   = '/assignments',
    ASSIGNMENT_PUBLISH                  = '/assignments/{{assignmentNameOrUrl}}/publish',
    ASSIGNMENT_UNPUBLISH                = '/assignments/{{assignmentNameOrUrl}}/unpublish',
    ASSIGNMENT_CORRECTION_LINK          = '/assignments/{{assignmentNameOrUrl}}/corrections',
    ASSIGNMENT_CORRECTION_UPDATE_DELETE = '/assignments/{{assignmentNameOrUrl}}/corrections/{{exerciseIdOrUrl}}',
    EXERCISE_ASSIGNMENT                 = '/exercises/{{exerciseIdOrUrl}}/assignment',
    EXERCISE_CREATE                     = '/assignments/{{assignmentNameOrUrl}}/exercises',
    EXERCISE_RESULTS                    = '/exercises/{{exerciseIdOrUrl}}/results',
    EXERCISE_LIST                       = '/exercises',
    EXERCISE_GET_DELETE                 = '/exercises/{{exerciseIdOrUrl}}',
    EXERCISE_DETAILS_GET                = '/exercises/{{exerciseIdOrUrl}}/details',
    EXERCISE_MEMBERS_GET                = '/exercises/{{exerciseIdOrUrl}}/members',
    USER_LIST                           = '/users',
    TAG_CREATE                          = '/tags',
    TAG_DELETE                          = '/tags/{{tagName}}',
    TAG_PROPOSAL_GET_CREATE             = '/tags/proposals',
    TAG_PROPOSAL_UPDATE                 = '/tags/proposals/{{tagName}}',
}


export default ApiRoute;